/* XSDK.H */

#ifndef _XSDK_H
#define _XSDK_H

/****************************************************************************/
/*			Synchronet External Program Software Development Kit			*/
/*							1992 Digital Dynamics							*/
/****************************************************************************/

/****************************************************************************/
/* This source code file is public domain and may be modified, compiled 	*/
/* distributed, or used in any way, in part or whole for any purposes		*/
/* without the consent or notification of Digital Dynamics. 				*/
/****************************************************************************/

/****************************************************/
/* For use with Borland/Turbo C and C++ compilers.	*/
/* Tabstop set to 4.								*/
/****************************************************/

/*********************************************/
/* Standard Borland/Turbo C/C++ Header Files */
/*********************************************/
#include <io.h>
#include <dos.h>
#include <dir.h>
#include <time.h>
#include <alloc.h>
#include <ctype.h>
#include <stdio.h>
#include <conio.h>
#include <errno.h>
#include <fcntl.h>
#include <string.h>
#include <stdlib.h>
#include <stdarg.h>
#include <sys/stat.h>
#include <sys/types.h>

#define GLOBAL extern	/* turns XSDKVAR.C into a header file */
#include "xsdkvars.c"

/***********************/
/* Function Prototypes */
/***********************/
void bputs(char *str);
void rputs(char *str);
void bprintf(char *fmt, ...);
void rprintf(char *fmt, ...);
int  bstrlen(char *str);
void outchar(char ch);
void mnemonics(char *str);
void pause(void);
char yesno(char *str);
char noyes(char *str);
char inkey(void);
char getkey(int mode);
int  getkeys(char *str, int max);
int  getnum(int max);
void attr(char atr);
void cls(void);
void ctrl_a(char x);
int  nopen(char *str, int access);
void truncsp(char *str);
void initdata(void);
void checktimeleft(void);
void printfile(char *str);
int  getstr(char *str, int maxlen, int mode);
void redrwstr(char *strin, int i, int l, char mode);
char stripattr(char *strin);
char *username(uint usernumber);
char fexist(char *filespec);
long flength(char *filespec);
char *ultoac(ulong l, char *string);
ulong ahtoul(char *str);
void printnodedat(uchar number, node_t node);
void nodesync(void);
void putnodedat(uchar number, node_t node);
void getnodedat(uchar number, node_t *node, char lockit);
void putsmsg(int usernumber, char *strin);
void getsmsg(int usernumber);
void putnmsg(int num, char *strin);
void getnmsg();
int whos_online(char listself);
void nodemsg(void);
void dv_pause(void);
void ungetkey(char ch);
void checkline(void);

#endif	/* Don't add anything after this #endif */
